# This should be pushed to tainted as per Mageia's policy on emulators

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           mupen64plus
Version:        2.5
Release:        %mkrel 3
Summary:        Nintendo 64 Emulator (console frontend)
License:        GPLv2+ and LGPLv2+
Group:          Emulators
URL:            https://www.mupen64plus.org
Source0:        https://github.com/mupen64plus/mupen64plus-core/releases/download/%{version}/%{name}-bundle-src-%{version}.tar.gz
Patch1:         mupen64plus-2.0-mga-suse-use-system-font.patch

BuildRequires:  boost-devel
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} = %{version}-%{release}

%description
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

%files
%doc source/mupen64plus-core/{LICENSES,README,RELEASE}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Main library for Mupen64Plus Nintendo 64 Emulator
Group:          System/Libraries
Recommends:       m64py

%description -n %{libname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains the shared library interface for Mupen64Plus frontends
and all plugins from the upstream project.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_libdir}/%{name}/

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for Mupen64Plus Nintendo 64 Emulator
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains all necessary include files to develop frontends
against the Mupen64Plus shared library interface.

%files -n       %{devname}
%doc source/mupen64plus-core/doc/emuwiki-api-doc
%doc source/mupen64plus-core/doc/new_dynarec.txt
%{_includedir}/%{name}/

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-bundle-src-%{version}
%patch1 -p1
# We use the system's font instead of the shipped one
rm source/mupen64plus-core/data/font.ttf

%build
./m64p_build.sh PLUGINDIR=%{_libdir}/%{name} \
                PIC=1 \
                LIRC=1 \
%ifnarch %{ix86} x86_64
                NO_SSE=1 \
%endif
%ifarch armv7hl 
                VFP_HARD=1 \
%endif
                %{_smp_mflags}

%install
./m64p_install.sh DESTDIR=%{buildroot} \
                  PREFIX=%{_prefix} \
                  LIBDIR=%{_libdir} \
                  MANDIR=%{_mandir} \
                  INSTALL_STRIP_FLAG=''


%changelog
* Mon Dec 19 2016 adrianomorselli <adrianomorselli> 2.5.3-uplos2016
- imported from mageia
